/* mgr inz. Tomasz Sliwa*/
/* Kod do laboratorium z zajec Informatyka*/
/* Programowanie C++, dziedziczenie*/


#include <iostream>
#include "Figura.h"
#include "Kwadrat.h"
#include "Kolo.h"
#include "Prostokat.h"

using namespace std;

void Obsluz_Figure_Wskaznik(Figura *f)
{
	f->Przedstaw_Sie();
	f->Wpisz_Parametry();
	f->Wyswietl_Parametry();
}

void Obsluz_Figure_Referencja(Figura &f)
{
	f.Przedstaw_Sie();
	f.Wpisz_Parametry();
	f.Wyswietl_Parametry();
}

int main()
{
	cout<<"***************** Dziedziczenie ***********************"<<endl;
	Figura f;
	f.Ustaw_A(7.33);
	f.Wyswietl_Parametry();

	Kwadrat k;
	k.Wpisz_Parametry();
	k.Wyswietl_Parametry();

	Kolo l;
	l.Wpisz_Parametry();
	l.Wyswietl_Parametry();

	Prostokat p;

	p.Wpisz_Parametry();
	p.Wyswietl_Parametry();

	cout<<"***************** Obslugujemy figury wskaznikowo ***********************"<<endl;
	Obsluz_Figure_Wskaznik(&f);
	Obsluz_Figure_Wskaznik(&k);
	Obsluz_Figure_Wskaznik(&l);
	Obsluz_Figure_Wskaznik(&p);
	cout<<"***************** Obslugujemy figury referencyjnie ***********************"<<endl;
	Obsluz_Figure_Referencja(f);
	Obsluz_Figure_Referencja(k);
	Obsluz_Figure_Referencja(l);
	Obsluz_Figure_Referencja(p);
	cout<<"***************** Wyniki po referencji ***********************"<<endl;
	f.Wyswietl_Parametry();
	k.Wyswietl_Parametry();
	l.Wyswietl_Parametry();
	p.Wyswietl_Parametry();

	/// Zadania do samodzielnego wykonania
	/// 1. Dodaj klase Trojkat dzieczaca z klasy Figura, nadpisz funkcje wirtualne
	/// 2. Uzupelniej program tak, aby:
	///		2.1. Stworz menu i jego obsluge tak, aby mozna bylo wprowadzac dynamicznie figury z klawiatury
	///			(uzyj wskaznikow) oraz wyswietlac ich parametry
	///		2.2. Zapamietuj wskazniki na figury w tablicy 10 elementowej
	///		2.3. Pamietaj o rozmiarze tablicy
	///		2.4. Po wyjsciu z programu zwolnij pamiec



}
